Best sellers
curl --request GET \
--url https://gladeapi.com/api/amazon/bestsellers \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/bestsellers"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/bestsellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonBestSellers": {
"productResults": {
"results": [
{
"title": "<string>",
"url": "<string>",
"asin": "<string>",
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"rating": 123,
"ratingsTotal": 4503599627370495,
"isPrime": true,
"bestSellersRank": 123
}
],
"pageInfo": {
"currentPage": 123,
"totalPages": 4503599627370495,
"totalResults": 4503599627370495,
"hasNextPage": true,
"hasPrevPage": true
}
},
"categoryInfo": {
"currentCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
},
"parentCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
},
"childCategories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
]
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Search & Discovery
Get Amazon Best Sellers
Get ranked Amazon best sellers for a category.
GET
/
api
/
amazon
/
bestsellers
Best sellers
curl --request GET \
--url https://gladeapi.com/api/amazon/bestsellers \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/bestsellers"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/bestsellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonBestSellers": {
"productResults": {
"results": [
{
"title": "<string>",
"url": "<string>",
"asin": "<string>",
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"rating": 123,
"ratingsTotal": 4503599627370495,
"isPrime": true,
"bestSellersRank": 123
}
],
"pageInfo": {
"currentPage": 123,
"totalPages": 4503599627370495,
"totalResults": 4503599627370495,
"hasNextPage": true,
"hasPrevPage": true
}
},
"categoryInfo": {
"currentCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
},
"parentCategory": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
},
"childCategories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
]
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Pass exactly one of
categoryId or url.Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Amazon marketplace code.
Available options:
US, UK, CA, DE, FR, IT, ES, AU, IN, MX, BR, JP, PL Amazon best-seller category node ID.
A canonical HTTPS Amazon Best Sellers URL.
Results page, from 1 through 100.
Required range:
1 <= x <= 100Maximum results requested, from 1 through 100.
Required range:
1 <= x <= 100Response
Successful Amazon data response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

